#include "Application.hpp"
#include "ProgramWindow.hpp"

#include <QApplication>

//=============================================================================
//	stateless support routines.
//=============================================================================

/*
========================
extractFileNameFromPath
========================
*/
QString extractFileNameFromPath( const QString & path )
{
	// scan for path separators
	int idx = path.lastIndexOf( "/" );
	if( idx == -1 )
		idx = path.lastIndexOf( "\\" );

	// if we have a path
	if( idx != -1 )
	{
		return path.right( path.length() - idx - 1 );
	}

	// no path separators found, assume a file name.
	return path;
}


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    CProgramWindow window;

    app.setWindowIcon(QIcon(":/images/appicon.png"));

    int code = -1;
    if (window.init())
    {
        code = app.exec();
        window.shutdown();
    }

    return code;
}
