QT       += core gui opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = ShaderMaker
TEMPLATE = app

CONFIG += c++11

win32 {
    INCLUDEPATH += $$(GLEWDIR)/include
    DEPENDPATH += $$(GLEWDIR)/include

    LIBS += -lglew32
    LIBS += -lopengl32

    !contains(QMAKE_TARGET.arch, x86_64) {
        message("x86 build")
        ## Windows x86 (32bit) specific build here
        LIBS += -L$$(GLEWDIR)/lib/Release/win32
    } else {
        message("x86_64 build")
        ## Windows x64 (64bit) specific build here
        LIBS += -L$$(GLEWDIR)/lib/Release/x64
    }
}

unix {
    LIBS += -lGLEW
}


SOURCES +=\
    Editor.cpp \
    Main.cpp \
    ProgramWindow.cpp \
    GLWidget.cpp \
    SceneWidget.cpp \
    Scene.cpp \
    Shader.cpp \
    Uniform.cpp \
    Geometry.cpp \
    ObjModel.cpp \
    EditWindow.cpp \
    Highlighter.cpp \
    LightWidget.cpp \
    SourceEditor.cpp \
    TextureWidget.cpp \
    UniformWidget.cpp \
    UniversalSlider.cpp \
    VertexStream.cpp

HEADERS  += \
    Editor.hpp \
    ProgramWindow.hpp \
    GLWidget.hpp \
    SceneWidget.hpp \
    Camera.hpp \
    Vector.hpp \
    Model.hpp \
    Scene.hpp \
    Shader.hpp \
    Uniform.hpp \
    Application.hpp \
    Light.hpp \
    Texture.hpp \
    VertexStream.hpp \
    EditWindow.hpp \
    LightWidget.hpp \
    SourceEditor.hpp \
    StdShader.hpp \
    TextureWidget.hpp \
    UniformWidget.hpp \
    UniversalSlider.hpp \
    Config.hpp

RESOURCES = images/images.qrc
